### Constructor

# Camel Operation new

#### Declaration [src]

    GCancellable*
    camel_operation_new (
      void
    )

#### Description [src]

Create a new camel operation handle. Camel operation handles can be used in a multithreaded application (or a single operation handle can be used in a non threaded appliation) to cancel running operations and to obtain notification messages of the internal status of messages.

#### Return value

Type: `GCancellable`

A new operation handle.

The caller of the function takes ownership of the data, and is responsible for freeing it.